using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace WarehouseAppSHIPS.Migrations
{
    /// <inheritdoc />
    public partial class UpdateLaciMtc : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "CatatanRetur",
                table: "MtcRequests",
                type: "nvarchar(500)",
                maxLength: 500,
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "TanggalDatang",
                table: "MtcRequests",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "TanggalDiproses",
                table: "MtcRequests",
                type: "datetime2",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CatatanRetur",
                table: "MtcRequests");

            migrationBuilder.DropColumn(
                name: "TanggalDatang",
                table: "MtcRequests");

            migrationBuilder.DropColumn(
                name: "TanggalDiproses",
                table: "MtcRequests");
        }
    }
}
